div.form-row.text-center
  div.form-group.col-12.col-lg-10
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-barcode
      input(type="text",
              [readonly]="tBloquearBuscar",
              placeholder="Colección",
              [(ngModel)]="tColeccion.Codcoleccion",
              (keydown.enter)="Buscar()",
              size="sm")#txtCodArticulo.ControlInput--Input
  div.form-group.col-12.col-lg-2
    div(role="toolbar",
        aria-label="Toolbar with button groups").btn-toolbar
      div(role="group").btn-group.btn-group-sm.mr-1
        button(type="button", [disabled]="tEditar", (click)="Buscar()").btn.btn-outline-primary
          i.fas.fa-search
      div(role="group").btn-group.btn-group-sm
        button(type="button", [disabled]="tEditar", (click)="AbrirModal()").btn.btn-outline-info
          i.fas.fa-list
div.form-row
  div.form-group.col-12
    div.input-group
      textarea(placeholder="Descripción",
              name="Descripcion",
              required="",
              [(ngModel)]="tColeccion.Descripcion",
              rows="3").form-control.form-control-sm
div.form-row
  div.form-group.col-12.col-lg-6
    label.form-label.h6 Estatus
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-address-card
      select([(ngModel)]="tEstatusActual",
              (change)="CambiarEstatus()",
              size-select="sm").ControlInput--Select
        option(*ngFor="let tEst of tEstatus",
                [ngValue]="tEst") {{ tEst.Codestatus }}
  div.form-group.col-12.col-lg-6
    label.form-label.h6  Descuento
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-calculator
      select([(ngModel)]="tTiposDescuentoActual",
              (change)="CambiarTipoDescuento()",
              size-select="sm").ControlInput--Select
        option(*ngFor="let tTiposDescFor of tTiposDescuentos",
              [ngValue]="tTiposDescFor") {{tTiposDescFor.Descripcion}}
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIconoAppend-Icono
          span.fas {{ tEmpresa.Simbolo }}
      input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tColeccion.Descuento",
              placeholder="Descuento",
              name="Descuento",
              required="",
              size="sm")#txtDescuento.ControlInput--Input
div.form-row
  div.form-group.col-12
    label.form-label.h6 Rango de fechas
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-calendar-alt
      input(type="text",
          placeholder="Daterangepicker",
          [(ngModel)]="tFechas",
          bsDaterangepicker="",
          (bsValueChange)="cambiarFechas()",
          [bsConfig]="{ adaptivePosition: true , rangeInputFormat: 'YYYY-MM-DD' }",
          size="sm").ControlInput--Input
